project reality header
Go Back   Project Reality Forums > Project Reality Support > General Technical Support
18 Apr 2014, 00:00:00 (PRT)
Register Forum RulesDeveloper Blogs Project Reality Members List Search Today's Posts Mark Forums Read

Contact Support Team Frequently Asked Questions Register today!

Reply
 
LinkBack Thread Tools Display Modes
Old 11-16-2009, 01:14 AM   #1
n0name-5
Default Unable to Patch Bf2 to 1.5

I wanted to reinstall PR, so I uninstalled PR and then continued to BF2. What I didnt do is uninstall 1.5 patch b4 BF2, so now Im running BF2 1.0 and the 1.5 setup is telling me that I already have a more current version of the game installed. Any suggestions?
n0name-5 is offline Reply With Quote
Old 11-16-2009, 07:37 AM   #2
Ghostrider
Retired PR Developer

Ghostrider's Avatar
Default Re: Unable to Patch Bf2 to 1.5

Try the following:
  1. Go to the registry editor (Start >> Run >> type "regedit" w/o quotes)
  2. When it opens up go to HKEY_LOCAL_MACHINE >> SOFTWARE >> Electronic Arts >> EA Games and select the "Battlefield 2" folder by clicking it.
  3. You will see some data in the right-hand side (name, type, data columns).
  4. You'll see one that says "Version" and a number. If it says you're at version 1.5 you should see a 1.5 written in that field.
  5. Double-click on Version row and change the value to the version you know BF2 should be in (perhaps 1.41)

If you don't know what version it is right now, try anything below 1.5 so that the 1.5 patcher will believe your version is older and proceed to patch it up to 1.5 this time around.

Remember that you can restore the value manually to what it was before you tried this in the first place if this doesn't work for you.

Hope this helps.

~xghost();


To view links or images in signatures your post count must be 1 or greater. You currently have 0 posts.
Ghostrider is offline Reply With Quote
Old 11-16-2009, 01:10 PM   #3
*NwA*Orford
PR Server License Moderator
Default Re: Unable to Patch Bf2 to 1.5

"Self edit" please delete
*NwA*Orford is offline Reply With Quote
Old 07-01-2013, 04:10 PM   #4
[T*S*P*S] Rarity
Default Re: Unable to Patch Bf2 to 1.5

Quote:
Originally Posted by Ghostrider View Post
Try the following:
  1. Go to the registry editor (Start >> Run >> type "regedit" w/o quotes)
  2. When it opens up go to HKEY_LOCAL_MACHINE >> SOFTWARE >> Electronic Arts >> EA Games and select the "Battlefield 2" folder by clicking it.
  3. You will see some data in the right-hand side (name, type, data columns).
  4. You'll see one that says "Version" and a number. If it says you're at version 1.5 you should see a 1.5 written in that field.
  5. Double-click on Version row and change the value to the version you know BF2 should be in (perhaps 1.41)

If you don't know what version it is right now, try anything below 1.5 so that the 1.5 patcher will believe your version is older and proceed to patch it up to 1.5 this time around.

Remember that you can restore the value manually to what it was before you tried this in the first place if this doesn't work for you.

Hope this helps.

~xghost();
How do you restore it Manually?
[T*S*P*S] Rarity is offline Reply With Quote
Old 07-01-2013, 04:17 PM   #5
SnipeHunt
Supporting Member

SnipeHunt's Avatar
Default Re: Unable to Patch Bf2 to 1.5

The same way you just changed it.

To 'restore it manually' just follow steps 1-5 again, but put in the original data that was in the field.

Best line yet...
Me: "Hey APC, Can I get a ride to squad 6?"
Unknown: "This APC ain't no Taxi!"
SnipeHunt is offline Reply With Quote
Reply


Tags
bf2, patch, unable
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On



All times are GMT -4. The time now is 07:15 PM.


Powered by: vBulletin. ©vBulletin Solutions, Inc.
Search Engine Optimization by vBSEO 3.6.1
All Content Copyright ©2004 - 2014, Project Reality.